<script>
var isShare = "{pigcms:$isShare}";
var isCollect = "{pigcms:$isCollect}";

var shareurl = "{pigcms:$shareUrl}";
var srcId = "{pigcms:$srcId}";
if (srcId > 0){
	shareurl = shareurl+"&srcId="+srcId
}

var shareimg = "{pigcms:$shareIcon}";
var share_title = "{pigcms:$shareTitle}";
var share_desc = "{pigcms:$shareDesc}";
</script>

<if condition="$userAgentType eq 'html5App'">

<script src="./tpl/Wap/default/common/mui/js/mui.min.js"></script>
<script>
	//H5 app
var shares=null,bhref=true;
var Intent=null,File=null,Uri=null,main=null;
// H5 plus事件处理
function plusReady(){
	updateSerivces();
	if(plus.os.name=="Android"){
		main = plus.android.runtimeMainActivity();
		Intent = plus.android.importClass("android.content.Intent");
		File = plus.android.importClass("java.io.File");
		Uri = plus.android.importClass("android.net.Uri");
	}
}
if(window.plus){
	plusReady();
}else{
	document.addEventListener("plusready",plusReady,false);
}

/**
 * 更新分享服务
 */
function updateSerivces(){
	plus.share.getServices( function(s){
		shares={};
		for(var i in s){
			var t=s[i];
			shares[t.id]=t;
		}
	}, function(e){
		//mui.toast( "获取分享服务列表失败："+e.message );
	} );
}

/**
   * 分享操作
   * @param {JSON} sb 分享操作对象s.s为分享通道对象(plus.share.ShareService)
   * @param {Boolean} bh 是否分享链接
   */
function shareAction(sb,bh) {
	
	if(!sb||!sb.s){
		mui.toast( "无效的分享服务！" );
		return;
	}	
		
	var msg={content:"",extra:{scene:sb.x}};
	if(bhref){
		msg.href=shareurl;
		msg.title=share_title;
		msg.content=share_desc;
		msg.thumbs=[shareimg];
		msg.pictures=[shareimg];
	}
	else{
		if(pic&&pic.realUrl){
			msg.pictures=[pic.realUrl];
		}
	}
	// 发送分享
	if ( sb.s.authenticated ) {		
		shareMessage(msg,sb.s);
	} 
	else {	
			sb.s.authorize( function(){
				shareMessage(msg,sb.s);
			},
			function(e){
				//mui.toast( "认证授权失败："+e.code+" - "+e.message );
		});
	}
}

/**
   * 发送分享消息
   * @param {JSON} msg
   * @param {plus.share.ShareService} s
   */
function shareMessage(msg,s){
	s.send( msg, function(){
		
	}, 
	function(e){
		//mui.toast( "分享到\""+s.description+"\"失败: "+JSON.stringify(e) );
	});
}

	
// 打开分享
function shareShow(){
	var shareBts=[];
	// 更新分享列表
	var ss=shares['weixin'];
	ss&&ss.nativeClient&&(shareBts.push({title:'微信朋友圈',s:ss,x:'WXSceneTimeline'}),
	shareBts.push({title:'微信好友',s:ss,x:'WXSceneSession'}));
	//ss=shares['sinaweibo'];
	//ss&&shareBts.push({title:'新浪微博',s:ss});
	//ss=shares['qq'];
	//ss&&ss.nativeClient&&shareBts.push({title:'QQ',s:ss});
	// 弹出分享列表
	shareBts.length>0?plus.nativeUI.actionSheet({title:'分享',cancel:'取消',buttons:shareBts},function(e){
		(e.index>0)&&shareAction(shareBts[e.index-1],false);
	}):plus.nativeUI.alert('当前环境无法支持分享操作!');
}
</script>	
<else/>

<script src="http://res.wx.qq.com/open/js/jweixin-1.1.0.js"></script>

<script>
/*
 * 注意：
 * 1. 所有的JS接口只能在公众号绑定的域名下调用，公众号开发者需要先登录微信公众平台进入“公众号设置”的“功能设置”里填写“JS接口安全域名”。
 * 2. 如果发现在 Android 不能分享自定义内容，请到官网下载最新的包覆盖安装，Android 自定义分享接口需升级至 6.0.2.58 版本及以上。
 * 3. 常见问题及完整 JS-SDK 文档地址：http://mp.weixin.qq.com/wiki/7/aaa137b55fb2e0456bf8dd9148dd613f.html
 *
 * 开发中遇到问题详见文档“附录5-常见错误及解决办法”解决，如仍未能解决可通过以下渠道反馈：
 * 邮箱地址：weixin-open@qq.com
 * 邮件主题：【微信JS-SDK反馈】具体问题
 * 邮件内容说明：用简明的语言描述问题所在，并交代清楚遇到该问题的场景，可附上截屏图片，微信团队会尽快处理你的反馈。
 */
wx.config({
		debug: false,
    appId: '{pigcms::$signInfo['appId']}',
    timestamp: {pigcms::$signInfo['timestamp']},
    nonceStr: '{pigcms::$signInfo['nonceStr']}',
    signature: '{pigcms::$signInfo['signature']}',
    jsApiList: [
      'checkJsApi',
      'onMenuShareTimeline',
      'onMenuShareAppMessage',
      'onMenuShareQQ',
      'onMenuShareWeibo',
      'onMenuShareQZone',
      'hideMenuItems',
      'showMenuItems',
      'hideAllNonBaseMenuItem',
      'showAllNonBaseMenuItem',
      'translateVoice',
      'startRecord',
      'stopRecord',
      'onRecordEnd',
      'playVoice',
      'pauseVoice',
      'stopVoice',
      'uploadVoice',
      'downloadVoice',
      'chooseImage',
      'previewImage',
      'uploadImage',
      'downloadImage',
      'getNetworkType',
      'openLocation',
      'getLocation',
      'hideOptionMenu',
      'showOptionMenu',
      'closeWindow',
      'scanQRCode',
      'chooseWXPay',
      'openProductSpecificView',
      'addCard',
      'chooseCard',
      'openCard'
    ]
});

wx.ready(function(){
	
	//为0则隐藏，没有设置收藏或者为1的则显示
	if(isCollect=="0"){
		wx.hideMenuItems({
			menuList: [
			'menuItem:favorite'   // favorite 
			],
			success: function (res) {
			},
			fail: function (res) {
			}
	  		});
	}else{
		wx.showMenuItems({
	      menuList: [	     
		  'menuItem:favorite'
	      ],
	      success: function (res) {
	      },
	      fail: function (res) {
	      }
	    });
	}
	   
  if(isShare=="" || isShare=="0"){
	wx.hideMenuItems({
      menuList: [	     
        'menuItem:share:timeline',  // 分享到朋友圈
        'menuItem:share:qq',        // 分享到QQ
        'menuItem:share:weiboApp',  // 分享到Weibo
        'menuItem:share:facebook',  // 分享到FB
        'menuItem:share:QZone',     // QZone	
        'menuItem:share:appMessage',
        'menuItem:copyUrl',    
        'menuItem:openWithQQBrowser',
        'menuItem:openWithSafari',
        'menuItem:share:email',     
      ],
      success: function (res) {
      },
      fail: function (res) {
      }
    });
  }else if(isShare){

		wx.showMenuItems({
	      menuList: [	     
	        'menuItem:share:timeline',  // 分享到朋友圈
	        'menuItem:share:qq',        // 分享到QQ
	        'menuItem:share:weiboApp',  // 分享到Weibo
	        'menuItem:share:facebook',  // 分享到FB
	        'menuItem:share:QZone',     // QZone	
	        'menuItem:share:appMessage',
	        'menuItem:copyUrl',    
	        'menuItem:openWithQQBrowser',
	        'menuItem:openWithSafari',
	        'menuItem:share:email',     
	      ],
	      success: function (res) {
	      },
	      fail: function (res) {
	      }
	    }); 
		wx.onMenuShareTimeline({
		    title: share_title, // 分享标题
		    link: shareurl, // 分享链接
		    imgUrl: shareimg,
		    success: function () { 
		       insertShareRecord();
		    },
		    cancel: function () { 
		        // 用户取消分享后执行的回调函数
		    }
		}); 
		
		wx.onMenuShareAppMessage({
		    title: share_title, // 分享标题
		    desc: share_desc, // 分享描述
		    link: shareurl, // 分享链接
		    imgUrl: shareimg, // 分享图标
		    type: '', // 分享类型,music、video或link，不填默认为link
		    dataUrl: '', // 如果type是music或video，则要提供数据链接，默认为空
		    success: function () { 
		    	insertShareRecord();
		    },
		    cancel: function () { 
		        // 用户取消分享后执行的回调函数
		    }
		});
		
		wx.onMenuShareQQ({
		    title: share_title, // 分享标题
		    desc: share_desc, // 分享描述
		    link: shareurl, // 分享链接
		    imgUrl: shareimg,
		    success: function () { 
		      insertShareRecord();
		    },
		    cancel: function () { 
		       // 用户取消分享后执行的回调函数
		    }
		}); 
  }
});
</script>
</if>
<script>
  function insertShareRecord(){
	var post_data = {};
	post_data['id'] = "{pigcms:$shareResId}";
	post_data['moduleName'] = "{pigcms:$moduleName}";
	$.ajax({
		type:"POST",
		url:"{pigcms::U('insertShareRecord',array('token'=>$_GET['token'],'wecha_id'=>$_GET['wecha_id']))}",
		dataType:"json",
		data:post_data,
		success:function(rs){
		},
		error:function(){

		}
	});
}
</script>
